Debian Bug report logs - #644520
ITP: heimdall-flash -- tool for flashing firmware on Samsung

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "W. Martin Borgert" <debacle@debian.org>

Date: Thu, 6 Oct 2011 14:48:01 UTC

Owned by: Steve Langasek <vorlon@debian.org>

Severity: wishlist

Merged with 692863

Fixed in version heimdall-flash/1.4~rc1+dfsg-1

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#644520; Package wnpp. (Thu, 06 Oct 2011 14:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Thu, 06 Oct 2011 14:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: submit@bugs.debian.org
Cc: 810d4rk@gmail.com
Subject: RFP: heimdall-flash -- flash programmer for Samsung Galaxy S telephones
Date: Thu, 06 Oct 2011 16:44:20 +0200
Package: wnpp
Severity: wishlist

Package name    : heimdall-flash
Version         : 1.3.0
Upstream Author : Benjamin Dobell and Glass Echidna
URL             : http://www.glassechidna.com.au/products/heimdall/
License         : MIT
Programming Lang: C++
Description     : flash programmer for Samsung Galaxy S telephones

Heimdall is a tool suite used to flash firmware (aka ROMs) onto
Samsung Galaxy S devices. Heimdall uses the same protocol as the
Odin software to interact with a device in download mode.

Note: The very nature of flashing is dangerous. As with all
flashing software, Heimdall has the potential to damage (brick)
your phone if not used carefully. If you're concerned, don't use
this software. Flashing ROMs onto your phone may also void your
warranty.





Changed Bug title to 'ITP: heimdall-flash -- flash programmer for Samsung' from 'RFP: heimdall-flash -- flash programmer for Samsung Galaxy S telephones' Request was from Philipp Hug <debian@hug.cx> to control@bugs.debian.org. (Thu, 21 Jun 2012 15:09:04 GMT) Full text and rfc822 format available.

Owner recorded as Philipp Hug <debian@hug.cx>. Request was from Philipp Hug <debian@hug.cx> to control@bugs.debian.org. (Thu, 21 Jun 2012 15:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Philipp Hug <debian@hug.cx>:
Bug#644520; Package wnpp. (Wed, 05 Sep 2012 21:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Philipp Hug <debian@hug.cx>. (Wed, 05 Sep 2012 21:18:03 GMT) Full text and rfc822 format available.

Message #14 received at 644520@bugs.debian.org (full text, mbox):

From: Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>
To: 644520@bugs.debian.org, 644520-subscribe@bugs.debian.org
Subject: heimdall package
Date: Wed, 05 Sep 2012 23:08:18 +0200
At http://tygrysek.juszkiewicz.com.pl/~hrw/debian/heimdall/ I already
have some work in progress package for Heimdall flasher.

There are things to change in packaging - Paul Wise made a review and
pointed me some errors and things to check/fix.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Philipp Hug <debian@hug.cx>:
Bug#644520; Package wnpp. (Sat, 10 Nov 2012 07:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Philipp Hug <debian@hug.cx>. (Sat, 10 Nov 2012 07:21:03 GMT) Full text and rfc822 format available.

Message #19 received at 644520@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 692863@bugs.debian.org, 644520@bugs.debian.org
Cc: Jeremy Bicha <jbicha@ubuntu.com>
Subject: Re: Bug#692863: ITP: heimdall -- tool for flashing firmware on Samsung Galaxy S devices
Date: Fri, 9 Nov 2012 23:17:58 -0800
[Message part 1 (text/plain, inline)]
merge 644520 692863
thanks

On Fri, Nov 09, 2012 at 04:57:49PM -0500, Jeremy Bicha wrote:
> On 9 November 2012 16:43, Steve Langasek <vorlon@debian.org> wrote:
> > * Package name    : heimdall
> >   Version         : 1.4~rc2
> >   Upstream Author : Benjamin Dobell
> > * URL             : http://www.glassechidna.com.au/products/heimdall/
> > * License         : MIT/X11
> >   Programming Lang: C++
> >   Description     : tool for flashing firmware on Samsung Galaxy S devices

> > Heimdall is a tool for flashing firmware (aka ROMs) onto Samsung Galaxy S
> > devices over a USB connection.  It accomplishes this using the same
> > protocol as Odin, Samsung's internal Windows-only firmware updater.

> > The naming of this tool is entirely logical from the upstream's perspective,
> > given that there are other related pieces of software called "Odin" and
> > "Loke".  However, there's an unfortunate namespace collision here with the
> > Kerberos implementation Heimdal.  Suggestions welcome on how to qualify
> > the source package name so that the packages are more than one letter off
> > from one another...

> There's another ITP that suggested heimdall-flash:
> http://bugs.debian.org/644520

Ah, indeed; sorry for the duplication.  I thought I had checked for
duplicates with reportbug before filing, but it turns out reportbug couldn't
reach the BTS at the time.

Marcin, since I'm actively using heimdall at the moment, I'd like to get
this into the archive sooner rather than later.  I've prepared a package
with the name from the original ITP, 'heimdall-flash'; I think this is
better than 'android-tools-heimdall' since this isn't part of the
android-tools upstream.  I've also incorporated several fixes from your
package, including your patch for the Qt #define conflict.

If you're interested in maintaining this package long-term, I'm more than
happy to hand it over to you after the initial upload...  just as long as it
keeps working with my device. ;)  (Philipp, the same goes for you as the ITP
owner - though you've been marked as owner since June, so maybe you're no
longer interested in this package?)  In the meantime, I'm uploading my
package to the NEW queue.  You can find my source package at
<bzr+ssh://bzr.debian.org/bzr/users/vorlon/heimdall/trunk/>.

Hope you're having fun in Barcelona :)

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Merged 644520 692863 Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sat, 10 Nov 2012 07:42:03 GMT) Full text and rfc822 format available.

Owner changed from Philipp Hug <debian@hug.cx> to Steve Langasek <vorlon@debian.org>. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sat, 10 Nov 2012 07:57:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Steve Langasek <vorlon@debian.org>:
Bug#644520; Package wnpp. (Sat, 10 Nov 2012 10:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Steve Langasek <vorlon@debian.org>. (Sat, 10 Nov 2012 10:24:03 GMT) Full text and rfc822 format available.

Message #28 received at 644520@bugs.debian.org (full text, mbox):

From: Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>
To: <644520@bugs.debian.org>
Subject: Re: Bug#644520: Bug#692863: ITP: heimdall -- tool for flashing firmware on Samsung Galaxy S devices
Date: Sat, 10 Nov 2012 11:15:04 +0100
W dniu 10.11.2012 08:17, Steve Langasek napisaƂ(a):
> On Fri, Nov 09, 2012 at 04:57:49PM -0500, Jeremy Bicha wrote:

> Marcin, since I'm actively using heimdall at the moment, I'd like to 
> get
> this into the archive sooner rather than later.  I've prepared a 
> package
> with the name from the original ITP, 'heimdall-flash'; I think this 
> is
> better than 'android-tools-heimdall' since this isn't part of the
> android-tools upstream.  I've also incorporated several fixes from 
> your
> package, including your patch for the Qt #define conflict.
>
> If you're interested in maintaining this package long-term, I'm more 
> than
> happy to hand it over to you after the initial upload...  just as 
> long as it
> keeps working with my device. ;)  (Philipp, the same goes for you as 
> the ITP
> owner - though you've been marked as owner since June, so maybe 
> you're no
> longer interested in this package?)  In the meantime, I'm uploading 
> my
> package to the NEW queue.  You can find my source package at
> <bzr+ssh://bzr.debian.org/bzr/users/vorlon/heimdall/trunk/>.

I was asked by one person to take a look and package but I do not have 
any device supported by heimdall. So if you use it then I think you will 
be much better maintainer then I would be.

> Hope you're having fun in Barcelona :)

Barcelona was fun, now I am in Palamos (~150km east) for long weekend.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Steve Langasek <vorlon@debian.org>:
Bug#644520; Package wnpp. (Sat, 10 Nov 2012 10:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Hug <debian@hug.cx>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Steve Langasek <vorlon@debian.org>. (Sat, 10 Nov 2012 10:42:03 GMT) Full text and rfc822 format available.

Message #33 received at 644520@bugs.debian.org (full text, mbox):

From: Philipp Hug <debian@hug.cx>
To: Steve Langasek <vorlon@debian.org>, 644520@bugs.debian.org
Cc: 692863@bugs.debian.org, Jeremy Bicha <jbicha@ubuntu.com>
Subject: Re: Bug#644520: Bug#692863: ITP: heimdall -- tool for flashing firmware on Samsung Galaxy S devices
Date: Sat, 10 Nov 2012 11:39:31 +0100
Hi Steve,

I also think keeping the name heimdall-flash makes more sense as it's
not part of official android-tools.

> If you're interested in maintaining this package long-term, I'm more than
> happy to hand it over to you after the initial upload...  just as long as it
> keeps working with my device. ;)  (Philipp, the same goes for you as the ITP
> owner - though you've been marked as owner since June, so maybe you're no
> longer interested in this package?)  In the meantime, I'm uploading my
> package to the NEW queue.  You can find my source package at
> <bzr+ssh://bzr.debian.org/bzr/users/vorlon/heimdall/trunk/>.

Are you sure you want to upload the latest git version? The tag
v1.4~rc1 you're referring to doesn't exist "yet".

And according to the website: "ATTENTION: Heimdall 1.3.2 broke
compatibility for several devices. In most case it is recommended that
you use version 1.3.1 instead. If you own a Galaxy Player 5 or similar
device, then version 1.3.2 will still be required. Please use version
1.3.1 for all other devices until 1.3.3 is released."

I'm not sure if this is still correct, but maybe it would make sense
to upload the 1.3.1 version first at the moment?

What do you think? Anyway go ahead and upload it, then.

Regards,
Philipp



Changed Bug title to 'ITP: heimdall-flash -- tool for flashing firmware on Samsung' from 'ITP: heimdall-flash -- flash programmer for Samsung' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sat, 10 Nov 2012 17:09:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 10 Nov 2012 19:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#644520; Package wnpp. (Sat, 10 Nov 2012 21:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 10 Nov 2012 21:15:06 GMT) Full text and rfc822 format available.

Message #42 received at 644520@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Philipp Hug <debian@hug.cx>
Cc: 644520@bugs.debian.org, 692863@bugs.debian.org
Subject: Re: Bug#644520: Bug#692863: ITP: heimdall -- tool for flashing firmware on Samsung Galaxy S devices
Date: Sat, 10 Nov 2012 13:11:12 -0800
[Message part 1 (text/plain, inline)]
On Sat, Nov 10, 2012 at 11:39:31AM +0100, Philipp Hug wrote:
> I also think keeping the name heimdall-flash makes more sense as it's
> not part of official android-tools.

> > If you're interested in maintaining this package long-term, I'm more than
> > happy to hand it over to you after the initial upload...  just as long as it
> > keeps working with my device. ;)  (Philipp, the same goes for you as the ITP
> > owner - though you've been marked as owner since June, so maybe you're no
> > longer interested in this package?)  In the meantime, I'm uploading my
> > package to the NEW queue.  You can find my source package at
> > <bzr+ssh://bzr.debian.org/bzr/users/vorlon/heimdall/trunk/>.

> Are you sure you want to upload the latest git version? The tag
> v1.4~rc1 you're referring to doesn't exist "yet".

> And according to the website: "ATTENTION: Heimdall 1.3.2 broke
> compatibility for several devices. In most case it is recommended that
> you use version 1.3.1 instead. If you own a Galaxy Player 5 or similar
> device, then version 1.3.2 will still be required. Please use version
> 1.3.1 for all other devices until 1.3.3 is released."

> I'm not sure if this is still correct, but maybe it would make sense
> to upload the 1.3.1 version first at the moment?

> What do you think? Anyway go ahead and upload it, then.

What I am sure of is that the only version of Heimdall that I've gotten
working with my own device (T989) is 1.4rc1 with a small patch.  Neither
1.3.1 nor 1.3.2 would work for me.  And upstream has said in various places
(though not on the front page) that people should use 1.4rc1 as the "most
stable" version.

So for my own purposes, I'm confident that I'll be better able to support
1.4rc1 than the other versions.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Steve Langasek <vorlon@debian.org>:
Bug#644520; Package wnpp. (Tue, 13 Nov 2012 15:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Hug <debian@hug.cx>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Steve Langasek <vorlon@debian.org>. (Tue, 13 Nov 2012 15:24:03 GMT) Full text and rfc822 format available.

Message #47 received at 644520@bugs.debian.org (full text, mbox):

From: Philipp Hug <debian@hug.cx>
To: Steve Langasek <vorlon@debian.org>
Cc: 644520@bugs.debian.org, 692863@bugs.debian.org
Subject: Re: Bug#644520: Bug#692863: ITP: heimdall -- tool for flashing firmware on Samsung Galaxy S devices
Date: Tue, 13 Nov 2012 16:20:33 +0100
Hi again,

> What I am sure of is that the only version of Heimdall that I've gotten
> working with my own device (T989) is 1.4rc1 with a small patch.  Neither
> 1.3.1 nor 1.3.2 would work for me.  And upstream has said in various places
> (though not on the front page) that people should use 1.4rc1 as the "most
> stable" version.

I'll try it with the devices (P1000, S5360, I9300, N8010) too.

Just tried it with my I9300, download-pit and flash recovery worked.
But --no-reboot option doesn't seem to work correctly. The device only
executes one action and doesn't respond anymore after that.
I'll try to figure out why.

But I think you should go ahead and upload it. Unless you don't want
to maintain it yourself.

Philipp



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#644520; Package wnpp. (Tue, 13 Nov 2012 21:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 13 Nov 2012 21:09:03 GMT) Full text and rfc822 format available.

Message #52 received at 644520@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Philipp Hug <debian@hug.cx>
Cc: 644520@bugs.debian.org, 692863@bugs.debian.org
Subject: Re: Bug#644520: Bug#692863: ITP: heimdall -- tool for flashing firmware on Samsung Galaxy S devices
Date: Tue, 13 Nov 2012 13:08:26 -0800
[Message part 1 (text/plain, inline)]
On Tue, Nov 13, 2012 at 04:20:33PM +0100, Philipp Hug wrote:
> > What I am sure of is that the only version of Heimdall that I've gotten
> > working with my own device (T989) is 1.4rc1 with a small patch.  Neither
> > 1.3.1 nor 1.3.2 would work for me.  And upstream has said in various places
> > (though not on the front page) that people should use 1.4rc1 as the "most
> > stable" version.

> I'll try it with the devices (P1000, S5360, I9300, N8010) too.

> Just tried it with my I9300, download-pit and flash recovery worked.
> But --no-reboot option doesn't seem to work correctly. The device only
> executes one action and doesn't respond anymore after that.
> I'll try to figure out why.

Ok.  Did --no-reboot work for you with previous versions?

> But I think you should go ahead and upload it. Unless you don't want
> to maintain it yourself.

Already done:
http://ftp-master.debian.org/new/heimdall-flash_1.4~rc1+dfsg-1.html

:)

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. (Sat, 17 Nov 2012 10:03:06 GMT) Full text and rfc822 format available.

Notification sent to "W. Martin Borgert" <debacle@debian.org>:
Bug acknowledged by developer. (Sat, 17 Nov 2012 10:03:06 GMT) Full text and rfc822 format available.

Message #57 received at 644520-close@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 644520-close@bugs.debian.org
Subject: Bug#644520: fixed in heimdall-flash 1.4~rc1+dfsg-1
Date: Sat, 17 Nov 2012 10:00:12 +0000
Source: heimdall-flash
Source-Version: 1.4~rc1+dfsg-1

We believe that the bug you reported is fixed in the latest version of
heimdall-flash, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 644520@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve Langasek <vorlon@debian.org> (supplier of updated heimdall-flash package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 09 Nov 2012 19:58:15 -0800
Source: heimdall-flash
Binary: heimdall-flash heimdall-flash-frontend
Architecture: source amd64
Version: 1.4~rc1+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Steve Langasek <vorlon@debian.org>
Changed-By: Steve Langasek <vorlon@debian.org>
Description: 
 heimdall-flash - tool for flashing firmware on Samsung Galaxy S devices
 heimdall-flash-frontend - tool for flashing firmware on Samsung Galaxy S devices - Qt GUI
Closes: 644520 692863
Changes: 
 heimdall-flash (1.4~rc1+dfsg-1) unstable; urgency=low
 .
   * Initial package (Closes: #644520, #692863).
   * debian/patches/0001-Don-t-try-to-set-the-file-transfer-size-to-1MB-
     on-de.patch: Don't try to set the file transfer size to 1MB on devices
     of type 30; this may be correct for some of them, but definitely not for
     the SGH-T989.
   * debian/patches/remove-largefile-define.diff: Remove
     QT_LARGEFILE_SUPPORT as it is defined in Debian.  Thanks to Marcin
     Juszkiewicz <marcin@juszkiewicz.com.pl>.
Checksums-Sha1: 
 b6667f72dcec49acc3311dc65cb3bec3b6a86fd0 2105 heimdall-flash_1.4~rc1+dfsg-1.dsc
 55aeb35525cd5a54508369abde4af5bfba4a42aa 1441766 heimdall-flash_1.4~rc1+dfsg.orig.tar.gz
 468c275b45b6bffaf6b5974980447454e96ac710 3616 heimdall-flash_1.4~rc1+dfsg-1.debian.tar.gz
 060452823cb2d802dba60ee7223f1c93ef7014d3 62728 heimdall-flash_1.4~rc1+dfsg-1_amd64.deb
 711053d7eb7eff24947a80273eaee467730a97bc 90380 heimdall-flash-frontend_1.4~rc1+dfsg-1_amd64.deb
Checksums-Sha256: 
 2ea68df9143c59dfc947fcde48ff49f0095224dadd18e8daa4348e5aff7910e4 2105 heimdall-flash_1.4~rc1+dfsg-1.dsc
 0f0a209504794b84bda29fb7b0314a3097f805531b38f7bd1f4ac03d45be6815 1441766 heimdall-flash_1.4~rc1+dfsg.orig.tar.gz
 8355cea241e5fdae8126c4d6f9063ad722cfa0766b8f52dbdcd1fc92540173ab 3616 heimdall-flash_1.4~rc1+dfsg-1.debian.tar.gz
 587ed52a4137fcf736c4c0380413740505d36ce418e2b880f4047390310e67c5 62728 heimdall-flash_1.4~rc1+dfsg-1_amd64.deb
 83b2f93114c3a1e8e83379ad2cd8d85d58b319a3d64a7678d215b9f4ad56512c 90380 heimdall-flash-frontend_1.4~rc1+dfsg-1_amd64.deb
Files: 
 8d77034c985d2b869050251a6cbf6f60 2105 devel extra heimdall-flash_1.4~rc1+dfsg-1.dsc
 f57287bda7cefed752671f6d251b76c0 1441766 devel extra heimdall-flash_1.4~rc1+dfsg.orig.tar.gz
 ac630f7cb950a15515287b7c84b1207b 3616 devel extra heimdall-flash_1.4~rc1+dfsg-1.debian.tar.gz
 1d104f338276a8ebfcdc759cfdb281aa 62728 devel extra heimdall-flash_1.4~rc1+dfsg-1_amd64.deb
 00d9b89a009894fea06dcc5b52af06e1 90380 devel extra heimdall-flash-frontend_1.4~rc1+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJQnf8VAAoJEFaNMPMhshM9c/YQAIRkqq1oyMKNZE+vqqjEkPLG
FA9kLu5qC4Y7hFhAb0STnKVmV84aUJH6b8vj5ojnZUvu+TwBR2w9GjqhL7DwOL4i
q6WFbAeojMjih1bspuMx8TCS/aHgJs+qHpdNdgvBmfBoqgFv1SffJxoSXgXVpm6B
lewxbGmgcBhbVkDGik2+KtaAF7x26g23Wd3xmonZRBgaBzjZqI+O+dI9BBD4HoSz
7WuzCoYPWgwUYU7LCghtfVDs8HL5f5BoZ0kMY4MKEXXD2pfE2Fi1CH0KOSSYYhiA
QH0nMFV3UP9rjXSM3jF2ZU6u0vwqc6eL3jZFt2EX8BCa/ar6vXMGXhyMOPmlnsJW
256TCkNM+RqjEUJk10VHyInoe70c6WXR55s3B74QLdRXxLGGRSdsU5GoN3PHLCF5
rLJFV1CHidpNPVu10QpuNDIHY4sb/i4gDOBmAsX28b5ZVT5soHLu/CfhbMjo3UAu
NPg17kFqCJCKrrV++9ZSFxp4NIO1ZL4gN2TI9Qh9IMzZJo1REC+7qo2YJglHjJje
3q9L42bhNXsBGr/KUV9fA2PUWyYzki+onK5Wg9lTUjMxySsaBP6deJH+z9PP31H9
pY8zQs7jt6ofMx9SWZMrpkgBfjQ1ATrVH/pykxlyMxVTCNb20LCM2IAm0kve700Z
qsduY1PW2kWiOodLHPMx
=1S6J
-----END PGP SIGNATURE-----




Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. (Sat, 17 Nov 2012 10:03:06 GMT) Full text and rfc822 format available.

Notification sent to Steve Langasek <vorlon@debian.org>:
Bug acknowledged by developer. (Sat, 17 Nov 2012 10:03:06 GMT) Full text and rfc822 format available.

Message #62 received at 692863-close@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 692863-close@bugs.debian.org
Subject: Bug#692863: fixed in heimdall-flash 1.4~rc1+dfsg-1
Date: Sat, 17 Nov 2012 10:00:12 +0000
Source: heimdall-flash
Source-Version: 1.4~rc1+dfsg-1

We believe that the bug you reported is fixed in the latest version of
heimdall-flash, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 692863@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve Langasek <vorlon@debian.org> (supplier of updated heimdall-flash package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 09 Nov 2012 19:58:15 -0800
Source: heimdall-flash
Binary: heimdall-flash heimdall-flash-frontend
Architecture: source amd64
Version: 1.4~rc1+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Steve Langasek <vorlon@debian.org>
Changed-By: Steve Langasek <vorlon@debian.org>
Description: 
 heimdall-flash - tool for flashing firmware on Samsung Galaxy S devices
 heimdall-flash-frontend - tool for flashing firmware on Samsung Galaxy S devices - Qt GUI
Closes: 644520 692863
Changes: 
 heimdall-flash (1.4~rc1+dfsg-1) unstable; urgency=low
 .
   * Initial package (Closes: #644520, #692863).
   * debian/patches/0001-Don-t-try-to-set-the-file-transfer-size-to-1MB-
     on-de.patch: Don't try to set the file transfer size to 1MB on devices
     of type 30; this may be correct for some of them, but definitely not for
     the SGH-T989.
   * debian/patches/remove-largefile-define.diff: Remove
     QT_LARGEFILE_SUPPORT as it is defined in Debian.  Thanks to Marcin
     Juszkiewicz <marcin@juszkiewicz.com.pl>.
Checksums-Sha1: 
 b6667f72dcec49acc3311dc65cb3bec3b6a86fd0 2105 heimdall-flash_1.4~rc1+dfsg-1.dsc
 55aeb35525cd5a54508369abde4af5bfba4a42aa 1441766 heimdall-flash_1.4~rc1+dfsg.orig.tar.gz
 468c275b45b6bffaf6b5974980447454e96ac710 3616 heimdall-flash_1.4~rc1+dfsg-1.debian.tar.gz
 060452823cb2d802dba60ee7223f1c93ef7014d3 62728 heimdall-flash_1.4~rc1+dfsg-1_amd64.deb
 711053d7eb7eff24947a80273eaee467730a97bc 90380 heimdall-flash-frontend_1.4~rc1+dfsg-1_amd64.deb
Checksums-Sha256: 
 2ea68df9143c59dfc947fcde48ff49f0095224dadd18e8daa4348e5aff7910e4 2105 heimdall-flash_1.4~rc1+dfsg-1.dsc
 0f0a209504794b84bda29fb7b0314a3097f805531b38f7bd1f4ac03d45be6815 1441766 heimdall-flash_1.4~rc1+dfsg.orig.tar.gz
 8355cea241e5fdae8126c4d6f9063ad722cfa0766b8f52dbdcd1fc92540173ab 3616 heimdall-flash_1.4~rc1+dfsg-1.debian.tar.gz
 587ed52a4137fcf736c4c0380413740505d36ce418e2b880f4047390310e67c5 62728 heimdall-flash_1.4~rc1+dfsg-1_amd64.deb
 83b2f93114c3a1e8e83379ad2cd8d85d58b319a3d64a7678d215b9f4ad56512c 90380 heimdall-flash-frontend_1.4~rc1+dfsg-1_amd64.deb
Files: 
 8d77034c985d2b869050251a6cbf6f60 2105 devel extra heimdall-flash_1.4~rc1+dfsg-1.dsc
 f57287bda7cefed752671f6d251b76c0 1441766 devel extra heimdall-flash_1.4~rc1+dfsg.orig.tar.gz
 ac630f7cb950a15515287b7c84b1207b 3616 devel extra heimdall-flash_1.4~rc1+dfsg-1.debian.tar.gz
 1d104f338276a8ebfcdc759cfdb281aa 62728 devel extra heimdall-flash_1.4~rc1+dfsg-1_amd64.deb
 00d9b89a009894fea06dcc5b52af06e1 90380 devel extra heimdall-flash-frontend_1.4~rc1+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJQnf8VAAoJEFaNMPMhshM9c/YQAIRkqq1oyMKNZE+vqqjEkPLG
FA9kLu5qC4Y7hFhAb0STnKVmV84aUJH6b8vj5ojnZUvu+TwBR2w9GjqhL7DwOL4i
q6WFbAeojMjih1bspuMx8TCS/aHgJs+qHpdNdgvBmfBoqgFv1SffJxoSXgXVpm6B
lewxbGmgcBhbVkDGik2+KtaAF7x26g23Wd3xmonZRBgaBzjZqI+O+dI9BBD4HoSz
7WuzCoYPWgwUYU7LCghtfVDs8HL5f5BoZ0kMY4MKEXXD2pfE2Fi1CH0KOSSYYhiA
QH0nMFV3UP9rjXSM3jF2ZU6u0vwqc6eL3jZFt2EX8BCa/ar6vXMGXhyMOPmlnsJW
256TCkNM+RqjEUJk10VHyInoe70c6WXR55s3B74QLdRXxLGGRSdsU5GoN3PHLCF5
rLJFV1CHidpNPVu10QpuNDIHY4sb/i4gDOBmAsX28b5ZVT5soHLu/CfhbMjo3UAu
NPg17kFqCJCKrrV++9ZSFxp4NIO1ZL4gN2TI9Qh9IMzZJo1REC+7qo2YJglHjJje
3q9L42bhNXsBGr/KUV9fA2PUWyYzki+onK5Wg9lTUjMxySsaBP6deJH+z9PP31H9
pY8zQs7jt6ofMx9SWZMrpkgBfjQ1ATrVH/pykxlyMxVTCNb20LCM2IAm0kve700Z
qsduY1PW2kWiOodLHPMx
=1S6J
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Dec 2012 07:26:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:20:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.